IF OBJECT_ID('dbo.vw_fco_integrada_res_arp') IS NOT NULL
    DROP VIEW dbo.vw_fco_integrada_res_arp
GO
CREATE VIEW dbo.vw_fco_integrada_res_arp
AS    
SELECT     
    a.compania, a.anio, a.mes, a.sucursal, a.tipo_planilla, 
    a.centro_trabajo,
    IBC_ARP = isnull(SUM(a.IBC_ARP), 0),
    aporte_ARP = isnull(SUM(a.aporte_ARP), 0),
    nro_aut = 
    (SELECT ta.nro_aut FROM fco_integrada_rt05 ta WHERE ta.compania = a.compania AND ta.anio = a.anio AND ta.mes = a.mes AND ta.sucursal = a.sucursal AND ta.tipo_planilla = a.tipo_planilla),   
    vlr_aut = 
    isnull((SELECT ta.incapacidades FROM fco_integrada_rt05 ta WHERE ta.compania = a.compania AND ta.anio = a.anio AND ta.mes = a.mes AND ta.sucursal = a.sucursal AND ta.tipo_planilla = a.tipo_planilla), 0),
    (SELECT ctr.descripcion FROM vw_fco_centros_trabajo ctr  
     WHERE ctr.compania = a.compania AND ctr.codigo_reporte = a.centro_trabajo) AS ctr_nombre,    
    MAX(suc.descripcion) AS suc_nombre,
    afiliados = COUNT(DISTINCT a.trabajador)
FROM fco_integrada_det a    
LEFT JOIN vw_fco_sucursales suc     
ON suc.compania = a.compania AND suc.sucursal = a.sucursal    
WHERE aporte_EPS + aporte_AFP + aporte_CCF + aporte_ARP <> 0    
GROUP BY a.compania, a.anio, a.mes, a.sucursal, a.tipo_planilla, a.centro_trabajo
GO
GRANT SELECT ON dbo.vw_fco_integrada_res_arp TO PUBLIC
GO
